Index: trunk/client/modules/Elezioni/blocchi/cerca_candidato.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/cerca_candidato.php	(revision 253)
+++ trunk/client/modules/Elezioni/blocchi/cerca_candidato.php	(revision 254)
@@ -13,4 +13,5 @@
     die ("You can't access this file dirrectly...");
 }
+global $id_comune;
 
 # validatore form
@@ -34,11 +35,12 @@
 		<form method="post" name="form_candi" action="" onsubmit="return validateForm()" >
 		Inserisci il cognome o/e il nome intero del candidato da cercare<br/>
-		<input type="text" name="cognome" maxlength="30" size="10" value="">
-		<input type="submit" value="Cerca">
+		<input type="text" name="cognome" maxlength="30" size="10" value="">';
+echo "<input type=\"hidden\" name=\"id_comune\" value=\"$id_comune\">";
+echo	'<input type="submit" value="Cerca">
 		</form>
 		</div>
 ';
 
-$cerca_cand=$_SESSION['cerca_cand']; 
+if(isset($_SESSION['cerca_cand'])) $cerca_cand=$_SESSION['cerca_cand']; else $cerca_cand="";
 echo $cerca_cand;
 $_SESSION['cerca_cand']='';
@@ -66,8 +68,8 @@
 	}
 
-	$sql_cand= mysql_query("SELECT * FROM ".$prefix."_ele_candidati  where (cognome like '%$cognome%' $numeratore nome like '%$nome%') OR (cognome like '%$nome%' 
-	$numeratore nome like '%$cognome%')", $dbi);
-	$num_tot = mysql_num_rows($sql_cand);
-	$res = mysql_query("SELECT * FROM ".$prefix."_ele_candidati  where (cognome like '%$cognome%' $numeratore nome like '%$nome%') OR (cognome like '%$nome%' 	  $numeratore nome like '%$cognome%')  ORDER BY id_cand DESC LIMIT 0,7", $dbi);
+	$sql_cand= mysql_query("SELECT * FROM ".$prefix."_ele_candidati  where ((cognome like '%$cognome%' $numeratore nome like '%$nome%') OR (cognome like '%$nome%' 
+	$numeratore nome like '%$cognome%')) and id_cons in(select id_cons from ".$prefix."_ele_cons_comune where id_comune='$id_comune')", $dbi);
+	$num_tot = mysql_num_rows($sql_cand); 
+	$res = mysql_query("SELECT * FROM ".$prefix."_ele_candidati  where ((cognome like '%$cognome%' $numeratore nome like '%$nome%') OR (cognome like '%$nome%' 	  $numeratore nome like '%$cognome%'))  and id_cons in(select id_cons from ".$prefix."_ele_cons_comune where id_comune='$id_comune') ORDER BY id_cand DESC LIMIT 0,7", $dbi);
 	while (list($id_cand,$id_cons2,$id_lista,$cognome,$nome,$note,$simbolo,$num_candidato) = mysql_fetch_row($res)) {
 		$res1 = mysql_query("SELECT id_cons_gen FROM ".$prefix."_ele_cons_comune  where id_cons='$id_cons2'" , $dbi);	
Index: trunk/client/modules/Elezioni/candidato.php
===================================================================
--- trunk/client/modules/Elezioni/candidato.php	(revision 253)
+++ trunk/client/modules/Elezioni/candidato.php	(revision 254)
@@ -136,5 +136,5 @@
 	
 	$res = mysql_query("SELECT id_cons FROM ".$prefix."_ele_candidati where id_cons='$id_cons' and cognome like \"$lettera%\"  ", $dbi);
-    	$max = mysql_num_rows($res);
+    if($res)	$max = mysql_num_rows($res);
 	
 	}
Index: trunk/client/modules/Elezioni/foto.php
===================================================================
--- trunk/client/modules/Elezioni/foto.php	(revision 253)
+++ trunk/client/modules/Elezioni/foto.php	(revision 254)
@@ -22,24 +22,20 @@
 
 if ($id_lista){
-	$sql = "select * from ".$prefix."_ele_lista where id_lista='$id_lista'";
+	$sql = "select stemma from ".$prefix."_ele_lista where id_lista='$id_lista'";
 	$res = mysql_query($sql,$dbi);
-	$dati = mysql_fetch_array($res);
-	$stemma = $dati['stemma'];
+	list($stemma) = mysql_fetch_row($res);
 }elseif ($id_gruppo){
-	$sql = "select * from ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'";
+	$sql = "select programma,stemma from ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'";
 	$res = mysql_query($sql,$dbi);
-	$dati = mysql_fetch_array($res);
-	if(isset($pdf)) $stemma = $dati['programma'];
-	else $stemma = $dati['stemma'];
+	list($programma,$stemma) = mysql_fetch_row($res);
+	if(isset($pdf)) $stemma = $programma;
 }elseif ($id_sede){
-	$sql = "select * from ".$prefix."_ele_sede where id_sede='$id_sede'";
+	$sql = "select mappa from ".$prefix."_ele_sede where id_sede='$id_sede'";
 	$res = mysql_query($sql,$dbi);
-	$dati = mysql_fetch_array($res);
-	$stemma = $dati['mappa'];
+	list($stemma) = mysql_fetch_row($res);
 }elseif ($id_comune){
-	$sql = "select * from ".$prefix."_ele_comuni where id_comune='$id_comune'";
+	$sql = "select stemma from ".$prefix."_ele_comuni where id_comune='$id_comune'";
 	$res = mysql_query($sql,$dbi);
-	$dati = mysql_fetch_array($res);
-	$stemma = $dati['stemma']; #die("qui:  $sql  $stemma");
+	list($stemma) = mysql_fetch_row($res);
 }else{
 die();
Index: trunk/client/modules/Elezioni/grafici.php
===================================================================
--- trunk/client/modules/Elezioni/grafici.php	(revision 253)
+++ trunk/client/modules/Elezioni/grafici.php	(revision 254)
@@ -11,9 +11,4 @@
     die ("You can't access this file directly...");
 }
-
-include "pdoquery.php";
-$res=tipocons();
-$descr_cons=$res[1];$tipo_cons=$res[2];$genere=$res[3];$votog=$res[4];$votol=$res[5];$votoc=$res[6];$circo=$res[7];
-die("SELECT t1.descrizione, t1.tipo_cons,t2.genere, t2.voto_g, t2.voto_l, t2.voto_c, t2.circo ($descr_cons,$tipo_cons,$genere,$votog,$votol,$votoc,$circo)");
 
 
Index: trunk/client/modules/Elezioni/gruppo.php
===================================================================
--- trunk/client/modules/Elezioni/gruppo.php	(revision 253)
+++ trunk/client/modules/Elezioni/gruppo.php	(revision 254)
@@ -4,5 +4,5 @@
 /* by Luciano Apolito & Roberto Gigli                                   */
 /* http://www.eleonline.it                                              */
-/* info@eleonline.it  luciano@aniene.net rgigli@libero.it               */
+/* info@eleonline.it                     rgigli@libero.it               */
 /************************************************************************/
 
@@ -28,15 +28,15 @@
 if (isset($param['offsetsez'])) $offsetsez=intval($param['offsetsez']); else $offsetsez='';
 if (isset($param['perc'])) $perc=$param['perc']; else $perc='';
-if (isset($param['info'])) get_magic_quotes_gpc() ? $info=$param['info']:$info=addslashes($param['info']); else $info='';
-if (isset($param['files'])) get_magic_quotes_gpc() ? $files=$param['files']:$files=addslashes($param['files']); else $files='';
+if (isset($param['info'])) $info=addslashes($param['info']); else $info='';
+if (isset($param['files'])) $files=addslashes($param['files']); else $files='';
 if (isset($param['voti_lista'])) $voti_lista=intval($param['voti_lista']); else $voti_lista= 0;
 if (isset($param['perc_lista'])) $perc_lista=$param['perc_lista']; else $perc_lista= 0;
-if (isset($param['lettera'])) get_magic_quotes_gpc() ? $lettera=$param['lettera']:$lettera=addslashes($param['lettera']); else $lettera='';
+if (isset($param['lettera'])) $lettera=addslashes($param['lettera']); else $lettera='';
 if (isset($param['id_gruppo'])) $id_gruppo=intval($param['id_gruppo']); else $id_gruppo='';
 #if (isset($param['tipo_cons'])) $tipo_cons=intval($param['tipo_cons']); else $tipo_cons='';
 if (isset($param['pdf'])) $pdf=intval($param['pdf']); else $pdf='';
-if (isset($param['orienta'])) get_magic_quotes_gpc() ? $orienta=$param['orienta']:$orienta=addslashes($param['orienta']); else $orienta='';
-if (isset($param['datipdf'])) get_magic_quotes_gpc() ? $datipdf=$param['datipdf']:$datipdf=addslashes($param['datipdf']); else $datipdf='';
-if (isset($param['formato'])) get_magic_quotes_gpc() ? $formato=$param['formato']:$formato=addslashes($param['formato']); else $formato='';
+if (isset($param['orienta'])) $orienta=addslashes($param['orienta']); else $orienta='';
+if (isset($param['datipdf'])) $datipdf=addslashes($param['datipdf']); else $datipdf='';
+if (isset($param['formato'])) $formato=addslashes($param['formato']); else $formato='';
 # anti-xss nov. 2009 
 $id_comune=htmlentities($id_comune);
@@ -63,6 +63,6 @@
 $res = mysql_query("SELECT t1.descrizione, t1.tipo_cons,t2.genere, t2.voto_g, t2.voto_l, t2.voto_c, t2.circo FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_tipo as t2 where t1.tipo_cons=t2.tipo_cons and t1.id_cons_gen='$id_cons_gen' ", $dbi);
 list($descr_cons,$tipo_cons,$genere,$votog,$votol,$votoc,$circo) = mysql_fetch_row($res);
-$res = mysql_query("SELECT t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'" , $dbi);
-list($id_cons) = mysql_fetch_row($res);
+$res = mysql_query("SELECT t2.id_cons,t2.solo_gruppo,t2.disgiunto FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'" , $dbi);
+list($id_cons,$dettnulli,$disgiunto) = mysql_fetch_row($res);
 
 
@@ -78,5 +78,5 @@
 function gruppo_circo(){
 	global $prefix, $dbi, $descr_cons, $id_cons, $id_cons_gen,$tipo_cons,$votog,$votol,$votoc,$circo, $genere,$id_gruppo,$id_lista,$bgcolor1,$bgcolor2,$id_comune,$descr_comune,$id_circ;
-	global $id_comune,$id_cons_gen,$op,$minsez,$id_lista,$id_circ,$csv,$min,$orienta,$formato,
+	global $id_comune,$id_cons_gen,$op,$minsez,$id_lista,$id_circ,$csv,$min,$orienta,$formato,$dettnulli,$disgiunto,
 	$orvert,$offset,$offsetsez,$perc,$info,$files,$nomefile;
 	$nomefile="";
@@ -147,5 +147,5 @@
 		if (!($offset)) $offset=25;
 		if (!($min)) $min=1;
-		if (!($offsetsez)) $offsetsez=20; 
+		if (!($offsetsez)) $offsetsez=22; 
 		if (!($minsez)) $minsez=1;
 		if ($min>$offset) { 
@@ -177,13 +177,18 @@
 			list($minsez)=mysql_fetch_row($res_min);
 			}
+		elseif (strstr( $op,'circo'))
+			$res_sez = mysql_query("SELECT count(num_circ),min(num_circ),max(num_circ) from ".$prefix."_ele_circoscrizione where id_cons=$id_cons",$dbi);
 		else
-			$res_sez = mysql_query("SELECT count(num_sez) from ".$prefix."_ele_sezioni where id_cons=$id_cons",$dbi);
-		list($tot_sez)=mysql_fetch_row($res_sez);
+			$res_sez = mysql_query("SELECT count(num_sez),min(num_sez),max(num_sez) from ".$prefix."_ele_sezioni where id_cons=$id_cons",$dbi);
+		if($res_sez) list($tot_sez,$numsezmin,$numsezmax)=mysql_fetch_row($res_sez); 
+		$res_sez = mysql_query("SELECT count(num_sez) from ".$prefix."_ele_sezioni where id_cons=$id_cons",$dbi);
+		list($tuttelesez)=mysql_fetch_row($res_sez); 
+
 		$num_sez=$tot_sez;//mysql_data_seek($res_sez,0);
-		if ($circo) $offsetsez=$num_sez+$minsez-1;//setta offsetsez sull'ultima sezione della circoscrizione
-		if(strstr( $op,"circo")) {
-				$res_sez = mysql_query("SELECT count(num_circ) from ".$prefix."_ele_circoscrizione where id_cons=$id_cons",$dbi);  //estrae il numero delle circoscrizioni
-				list($num_sez)=mysql_fetch_row($res_sez);
-			}
+		if ($circo) $offsetsez=$numsezmax; //$num_sez+$minsez-1;//setta offsetsez sull'ultima sezione della circoscrizione
+#		if(strstr( $op,"circo")) {
+#				$res_sez = mysql_query("SELECT count(num_circ) from ".$prefix."_ele_circoscrizione where id_cons=$id_cons",$dbi);  //estrae il numero delle circoscrizioni
+#				list($num_sez)=mysql_fetch_row($res_sez);
+#			}
 #Tolgo la scelta della circoscrizione o collegio perché gestita per tutte le pagine in index.php
 /*			if ($circo){ // elenco per scelta circoscrizione
@@ -229,4 +234,5 @@
 				$res_cand = mysql_query("SELECT id_cand, concat(cognome,' ', nome), num_cand from ".$prefix."_ele_$tab where id_cons=$id_cons and id_lista=$id_lista order by num_cand",$dbi);
 				if ($circo) $condcirc="and t5.id_circ=$id_circ";
+
 				$res_voti = mysql_query("select $tab2, t1.num_cand, concat(t1.cognome,' ', t1.nome), sum(t2.voti),'','','','','' 
 				from ".$prefix."_ele_candidati as t1, ".$prefix."_ele_voti_candidati as t2, "
@@ -277,6 +283,4 @@
 
 
-
-
 				$res_voti = mysql_query("select $tab2, $t.num_$tab15, $t.descrizione, sum(t2.voti), $votigl
 				from 
@@ -299,10 +303,11 @@
 				group by $t.num_$tab15,$tab3
 				order by $tab3,$t.num_$tab15",$dbi);
+			
 			}
 			if ($res_scr) list($tot_scr)=mysql_fetch_row($res_scr);else $tot_scr=0;
 			if ($res_cand) $num_cand=mysql_num_rows($res_cand); else $num_cand=0;
-			if(!$circo){
-				if (!(0 < $minsez and $minsez<=$num_sez)) $minsez=1;
-				if (!(0<$offsetsez and $offsetsez<=$num_sez)) $offsetsez=$num_sez;
+			if(!$circo){ 
+				if (!(0 < $minsez and $minsez<=$numsezmax)) $minsez=1;
+				if (!(0<$offsetsez and $offsetsez<=$numsezmax)) $offsetsez=$numsezmax;
 			}
 			if (!(0 < $min and $min<=$num_cand)) $min=1;
@@ -334,18 +339,25 @@
 				if(!$circo){
 				echo "<p>"._SCEGLI." $tipo1 n. <input  name=\"minsez\" value=\"$minsez\" size=\"4\" ></input>";
-				echo _A." n. <input  name=\"offsetsez\" value=\"$offsetsez\" size=\"4\" ></input> (max. $num_sez)";
+				echo _A." n. <input  name=\"offsetsez\" value=\"$offsetsez\" size=\"4\" ></input> (max. $numsezmax)";
 				}
 				# pagine
-				$diff=($offsetsez-$minsez);
-				if ($minsez>1){
-					$minsez_p= ($minsez-$diff)>1 ? $minsez-$diff-1:1;
+############
+if (strstr( $op,'circo'))
+$resnsez = mysql_query("SELECT count(num_circ) from ".$prefix."_ele_circoscrizione where id_cons=$id_cons and num_circ>=$minsez and num_circ<=$offsetsez",$dbi);
+else
+$resnsez = mysql_query("SELECT count(num_sez) from ".$prefix."_ele_sezioni where id_cons=$id_cons and num_sez>=$minsez and num_sez<=$offsetsez",$dbi);
+                list($diff)=mysql_fetch_row($resnsez);
+########
+			#	$diff=($offsetsez-$minsez);
+			if ($minsez>1){
+					$minsez_p= ($minsez-$diff)>1 ? $minsez-$diff:1;
 					 
-					$offsetsez_p=$offsetsez-$diff-1;
+					$offsetsez_p=$offsetsez-$diff;
 								echo "<div style=\"float: right; width:200px;margin-left:10px;margin-right:400px;font-size:12px \"><a href=\"modules.php?name=Elezioni&amp;file=index&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;op=$op&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez_p&amp;offsetsez=$offsetsez_p&amp;perc=$perc&amp;id_lista=$id_lista\"> <- $tipo2 Precedenti</a></div>";
 				}else{echo "";}
 
-				if ($offsetsez<$num_sez){
-					$minsez_s=$minsez+$diff+1;
-					$offsetsez_s= ($offsetsez+$diff)>$num_sez ? $num_sez: $offsetsez+$diff+1;
+				if ($offsetsez<$numsezmax){
+					$minsez_s=$minsez+$diff;
+					$offsetsez_s= ($offsetsez+$diff)>$num_sez ? $num_sez: $offsetsez+$diff;
 
 								echo "<div style=\"float: left; width:200px; margin-left:10px;\"><a href=\"modules.php?name=Elezioni&amp;file=index&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez_s&amp;offsetsez=$offsetsez_s&amp;perc=$perc&amp;id_lista=$id_lista\"> $tipo2 Successive -></a></div>";
@@ -386,5 +398,5 @@
 				//echo "</tr><tr><td><b>"._COMUNE." $descr_comune</b> - "._RISULTATI.": $descr_cons <br/>"; 
 				//echo "tot:$tot_scr";
-				//if ($tipo_cons!=4 && $tot_scr) echo " - Sezioni scrutinate: $tot_scr su $tot_sez";
+				//if ($tipo_cons!=4 && $tot_scr) echo " - Sezioni scrutinate: $tot_scr su $tuttelez";
 
 				# liste e gruppi da.... a	  
@@ -487,8 +499,7 @@
 			if (!$csv){
 				echo "<h5> Sezioni scrutinate";
-				if ($tipo_cons!=4) echo ": $tot_scr su $tot_sez &nbsp;&nbsp;&nbsp;  ";
+				if ($tipo_cons!=4) echo ": $tot_scr su $tuttelesez &nbsp;&nbsp;&nbsp;  ";
 				echo "</h5>&nbsp;";
 			}
-			
 			$y=1;
 			$ar[0][0]=$tipo3;
@@ -506,9 +517,14 @@
 		      // sandro: carica i numeri di sezione dal DB - giugno 2009
 		      // caso: sezioni in collegi diversi non consecutive
+			if (strstr( $op,'circo'))
+				$res_numsez=mysql_query("select num_circ,id_circ from ".$prefix."_ele_circoscrizione where id_cons='$id_cons' and num_circ>='$minsez' and num_circ<='$offsetsez' order by num_circ",$dbi);
+			else{		      
 			if($circo) { $secirco=" and t2.id_circ=$id_circ";} else $secirco="and t1.num_sez >= $minsez and t1.num_sez <= $offsetsez";
 				$numsezioni = $offsetsez-$ominsez;
 				$res_numsez = mysql_query("SELECT t1.num_sez,t1.id_sez from ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons=$id_cons and t1.id_sede=t2.id_sede $secirco order by t1.num_sez",$dbi);
-				for ($z=1;$z<=($offsetsez-$ominsez);$z++) {
-					$res=mysql_fetch_row($res_numsez);
+			}
+#				for ($z=1;$z<=($offsetsez-$ominsez);$z++) {
+				while($res=mysql_fetch_row($res_numsez)) {
+$z=$res[0];
 
 ##############inserimento percentuale di scrutinio nella sezione
@@ -516,18 +532,23 @@
 		$scrunulli=0;
 		$grpercscru=0;
-		if($op=="gruppo_sezione")
-			$resperc=mysql_query("select sum(validi),sum(nulli+bianchi+contestati+voti_nulli+solo_lista) from ".$prefix."_ele_sezioni where id_sez='".$res[1]."'",$dbi);
-                elseif($op=="lista_sezione" and $votog)
-                        $resperc=mysql_query("select sum(validi),sum(nulli+bianchi+contestati+voti_nulli) from ".$prefix."_ele_sezioni where id_sez='".$res[1]."'",$dbi);
-			
-		elseif($op=="lista_sezione")
-			$resperc=mysql_query("select sum(validi_lista),sum(nulli+bianchi+contestati+voti_nulli+contestati_lista+solo_gruppo+voti_nulli_lista) from ".$prefix."_ele_sezioni where id_sez='".$res[1]."'",$dbi);
+		$altri=0;
+		$votiscru=0;
+		if($op=="gruppo_sezione"){
+			$resperc=mysql_query("select sum(validi),sum(solo_lista) from ".$prefix."_ele_sezioni where id_sez='".$res[1]."'",$dbi);
+			$votiperc=mysql_query("select sum(voti) from ".$prefix."_ele_voti_gruppo where id_sez='".$res[1]."'",$dbi);
+		}	
+		elseif($op=="lista_sezione"){
+			$resperc=mysql_query("select sum(validi),sum(contestati_lista+solo_gruppo+voti_nulli_lista) from ".$prefix."_ele_sezioni where id_sez='".$res[1]."'",$dbi);
+			$votiperc=mysql_query("select sum(voti) from ".$prefix."_ele_voti_lista where id_sez='".$res[1]."'",$dbi);
+		}	
 		if (isset($resperc) and $resperc)
 			list($scruvalidi,$scrunulli)=mysql_fetch_row($resperc);
+		if (isset($votiperc) and $votiperc)
+			list($votiscru)=mysql_fetch_row($votiperc);
 		$resperc = mysql_query("select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where id_sez='".$res[1]."' group by data,orario order by data desc, orario desc limit 0,1 ",$dbi);
 		if ($resperc)
 			list($totschede)=mysql_fetch_row($resperc);
-		if (isset($totschede) and $totschede>0 )
-			$grpercscru=number_format(($scruvalidi+$scrunulli)*100/$totschede,0);
+		if (isset($scruvalidi) and $scruvalidi>0 )
+			$grpercscru=$votiscru ? number_format(($votiscru+$scrunulli)*100/$scruvalidi,0) : 0;
 
 ###################			<span class=\"red\"><i>".$temp3[$key]." %</i></span>		
@@ -545,5 +566,4 @@
 			if ($res_voti)
 			while (list($num_circ,$desc_circ,$num_cand,$nome,$voti,$sevalidi,$senulli,$sebianchi,$secontestati,$sevonulli) = mysql_fetch_row($res_voti)){
-				if ($num_circ<$minpos or $num_circ>$maxpos) continue;
 					$z=array_search($num_circ, $pos); 
 				if (!isset($votitot[($z)])) {
@@ -563,10 +583,18 @@
 
 
-
-
-			for ($y=$min;$y<=($offset+$piuvot);$y++) $ar[0][$y]="&nbsp;";
-			for ($z=1;$z<=($offsetsez-$ominsez);$z++)
- 				for ($y=$min;$y<=($offset+$piuvot);$y++) $ar[$z][$y]="&nbsp;"; //inizializza le celle interne
-			$onetime="";
+for ($y=$min;$y<=($offset+$piuvot);$y++) $ar[0][$y]="&nbsp;";
+if (strstr( $op,'circo'))
+$lis_sez=mysql_query("select num_circ from ".$prefix."_ele_circoscrizione where id_cons='$id_cons' and num_circ>='$minsez' and num_circ<='$offsetsez' order by num_circ",$dbi);
+else
+	$lis_sez=mysql_query("select num_sez from ".$prefix."_ele_sezioni where id_cons='$id_cons' and num_sez>='$minsez' and num_sez<='$offsetsez' order by num_sez",$dbi);
+$nsezsel=mysql_num_rows($lis_sez);
+while(list($z)=mysql_fetch_row($lis_sez)) 
+{ for ($y=$min;$y<=($offset+$piuvot);$y++) $ar[$z][$y]="&nbsp;";} //inizializza le celle interne
+
+###################################################################
+#			for ($y=$min;$y<=($offset+$piuvot);$y++) $ar[0][$y]="&nbsp;";
+#			for ($z=1;$z<=($offsetsez-$ominsez);$z++)
+ #				for ($y=$min;$y<=($offset+$piuvot);$y++) $ar[$z][$y]="&nbsp;"; //inizializza le celle interne
+			$onetime=""; 
 			if ($res_voti)
 			{
@@ -575,12 +603,16 @@
 								$valar[($z)][$num_cand]=$voti;
 					}
-					foreach ($valar as $key=>$val){
+					foreach ($valar as $key=>$val){ 
 						if(isset($votitot[($key)]))
 							$percar[$key]=arrayperc($val,$votitot[($key)]);
 						}
 
-					 mysql_data_seek($res_voti,0);			
+					 if(mysql_num_rows($res_voti)) mysql_data_seek($res_voti,0);		
 			while (list($num_circ,$desc_circ,$num_cand,$nome,$voti,$sevalidi,$senulli,$sebianchi,$secontestati,$sevonulli) = mysql_fetch_row($res_voti)){
-				$z=array_search($num_circ, $pos); 
+					if($num_cand<$min or $num_cand>$offset) continue;
+
+				if (!isset($temp[$num_cand])) $temp[$num_cand]=0;
+				$temp[$num_cand]+=$voti;
+				$z=array_search($num_circ, $pos); if (!$z) continue;
 				if ($num_cand>=$min and $num_cand<=$offset){
 					if($num_circ>=$minpos and $num_circ <=$maxpos){
@@ -594,11 +626,12 @@
 						$ar[($z)][$num_cand]=$percento;
 					}
-					if (!isset($temp[$num_cand])) $temp[$num_cand]=0;
-					$temp[$num_cand]+=$voti;
-					
-				}
+					
+					
+					
+				}
+				if (!strstr( $op,'candidato')){
 				if (!isset($tempar[$num_cand])) $tempar[$num_cand]=0;
-				$tempar[$num_cand]+=$voti;
-				if ($visvot!='cand'){
+				$tempar[$num_cand]+=$voti;}
+				if ($visvot!='cand'){ 
 				$posvoti=($offset);
 				$ar[0][$posvoti+1]='<b>Voti Validi</b>';
@@ -607,19 +640,20 @@
 				$ar[0][$posvoti+4]='<b>Voti Contestati</b>';
 				$ar[0][$posvoti+5]='<b>Voti Nulli</b>';
-				if (($maxpos)>=$num_circ and $minpos<=$num_circ){  
-				$posvoti++;
-				$ar[($z)][$posvoti++]="<b>$sevalidi</b>";
-				$ar[($z)][$posvoti++]="<b>$senulli</b>";
-				$ar[($z)][$posvoti++]="<b>$sebianchi</b>";
-				$ar[($z)][$posvoti++]="<b>$secontestati</b>";
-				$ar[($z)][$posvoti]="<b>$sevonulli</b>"; 
-				}
-				}
-			}
-			}
-			if (($offsetsez+1)>=$num_sez){ 
-				$ar[(2+$offsetsez-$minsez)][0]="<b>"._TOT."<br />"._COMPLESSIVO."</b>";
+				if (($maxpos)>=$num_circ and $minpos<=$num_circ){ 
+				//$posvoti++;
+				$ar[($z)][$posvoti+1]="<b>$sevalidi</b>";
+				$ar[($z)][$posvoti+2]="<b>$senulli</b>";
+				$ar[($z)][$posvoti+3]="<b>$sebianchi</b>";
+				$ar[($z)][$posvoti+4]="<b>$secontestati</b>";
+				$ar[($z)][$posvoti+5]="<b>$sevonulli</b>"; 
+				}
+				} 
+			}
+			}
+
+			if (($offsetsez+1)>=$num_sez){  
+				$ar[(1+$numsezmax)][0]="<b>"._TOT."<br />"._COMPLESSIVO."</b>";
 				if(isset($temp)) {
-					 if (!isset($tab15)) $tab15="candidati";
+					 if (!isset($tab15) or !$tab15) $tab15="candidati";
                      if($tab15=="gruppo"){
                           $votigl=" sum(validi),sum(nulli),sum(bianchi),sum(contestati),sum(voti_nulli)";
@@ -627,17 +661,18 @@
                           $votigl=" sum(validi_lista),sum(nulli),sum(bianchi),sum(contestati_lista),sum(voti_nulli)";
                      }else{
-                          //$votigl=" sum(validi_lista),sum(nulli),sum(bianchi),sum(contestati_lista),sum(voti_nulli_lista)";
-			  $votigl=" sum(validi_lista),sum(nulli),sum(bianchi),sum(contestati_lista),sum(voti_nulli)";
+                          if($dettnulli) $votigl=" sum(validi_lista),sum(nulli),sum(bianchi),sum(contestati_lista),sum(voti_nulli_lista)";
+			  else $votigl=" sum(validi_lista),sum(nulli),sum(bianchi),sum(contestati_lista),sum(voti_nulli)";
                      }
                     if($circo) 
                     	$resv = mysql_query("SELECT $votigl from ".$prefix."_ele_sezioni AS t1
 LEFT JOIN soraldo_ele_sede AS t2 ON t1.id_sede = t2.id_sede WHERE t1.id_cons='$id_cons' and t2.id_circ=$id_circ",$dbi);
-                    else
-						$resv = mysql_query("SELECT $votigl from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
+                    else 
+						$resv = mysql_query("SELECT $votigl from ".$prefix."_ele_sezioni as t1 where t1.id_cons='$id_cons' and  t1.id_sez=(select t2.id_sez from ".$prefix."_ele_voti_$tab15 as t2 where t2.id_sez=t1.id_sez group by t2.id_sez)",$dbi);
+
 					list ($sevaltot,$senultot,$sebiatot,$secontot,$sevnutot)= mysql_fetch_row($resv);
 					$voticompl=$sevaltot+$senultot+$sebiatot+$secontot+$sevnutot;
 					$resvt = mysql_query("SELECT voti from ".$prefix."_ele_voti_$tab15 where id_cons='$id_cons'",$dbi);
 					if($resvt) list($votlt)=mysql_fetch_row($resvt); else $votlt=0;
-					$temp3=arrayperc($tempar,$sevaltot);
+					if($perc) $temp3=arrayperc($temp,$sevaltot);
 					while (list($key,$voti)= each($temp)) {
 						if ($perc=='true' and $voticompl) 
@@ -646,5 +681,5 @@
 						} else
 							$percento="<b>$voti</b>";
-						$ar[2+$offsetsez-$minsez][$key]=$percento;
+						$ar[1+$numsezmax][$key]=$percento;
 					}
 				}
@@ -652,5 +687,5 @@
 				$key=$offset+1;
 				$tmp=array($sevaltot,$senultot,$sebiatot,$secontot,$sevnutot);
-				$temp3=arrayperc($tmp,$voticompl);
+				if($perc) $temp3=arrayperc($tmp,$voticompl);
  				while(list($k,$voti)= each($tmp)) {
 					
@@ -659,5 +694,5 @@
                          $percento="<b>$voti<br /><span class=\"red\"><i>".$temp3[$k]." %</i></span></b>";
                      } else $percento="<b>$voti</b>";
-                     $ar[2+$offsetsez-$minsez][++$key]=$percento;
+                     $ar[1+$numsezmax][++$key]=$percento;
 
 				}
@@ -791,5 +826,4 @@
 	$res5 = mysql_query("select t1.*  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' ",$dbi);
 	$sezioni=mysql_num_rows($res5);
-	
 	if ($numero!=0) echo "<h5><i> "._SEZSCRU." $numero "._SU." $sezioni </i></h5>";
 
Index: trunk/client/modules/Elezioni/index.php
===================================================================
--- trunk/client/modules/Elezioni/index.php	(revision 253)
+++ trunk/client/modules/Elezioni/index.php	(revision 254)
@@ -15,5 +15,5 @@
 	$_GET : $_POST;
 
-include("pdoquery.php");
+
 if (isset($param['rss'])) $rss=intval($param['rss']); else $rss='0';
 if (isset($param['xls'])) $xls=intval($param['xls']); else $xls='0';
@@ -24,6 +24,8 @@
 if (isset($param['id_cons_gen'])) $id_cons_gen=intval($param['id_cons_gen']); else 
 {
-        $id_cons_gen=dbpredefinita();
-	
+        $res = mysql_query("SELECT id_cons FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ", $dbi);
+        list($id_cons_pred)=mysql_fetch_row($res);
+        $res = mysql_query("SELECT id_cons_gen FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons_pred' ", $dbi);
+        list($id_cons_gen)=mysql_fetch_row($res);
 }       
 if (isset($param['op'])) $op=$param['op']; else $op='';
@@ -60,17 +62,17 @@
 $ordine=htmlentities($ordine); 
 
-$hondt = dbvalorehondt();
-
-$res=dbselectcons();
-
-$genere=$res['genere'];
-$tipo_cons=$res['tipo_cons'];
-$descr_cons=$res['descrizione'];
-$id_cons_gen=$res['id_cons_gen'];
-echo "descr:$descr_cons";
-
-
-
-##########
+$res = mysql_query("SELECT id_conf FROM ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_gen' and id_comune='$id_comune'" , $dbi);
+list($hondt) = mysql_fetch_row($res);
+
+$sql = "SELECT t3.genere,t1.tipo_cons,t1.descrizione,t2.id_cons_gen FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2, ".$prefix."_ele_tipo as t3 where t1.tipo_cons=t3.tipo_cons and t2.id_comune=$id_comune and t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.chiusa!='2' ";
+$res = mysql_query("$sql",$dbi);
+$tot=mysql_num_rows($res);
+if ($tot>0 and $id_cons_gen>0) {
+	$sql = "SELECT t3.genere,t1.tipo_cons,t1.descrizione,t2.id_cons_gen FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2, ".$prefix."_ele_tipo as t3 where t1.tipo_cons=t3.tipo_cons and t2.id_comune=$id_comune and t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.chiusa!='2'";
+}else{
+	$sql = "SELECT t3.genere,t1.tipo_cons,t1.descrizione,t2.id_cons_gen FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2, ".$prefix."_ele_tipo as t3 where t1.tipo_cons=t3.tipo_cons and t2.id_comune=$id_comune and t1.id_cons_gen=t2.id_cons_gen and t2.chiusa!='2' order by t1.data_fine desc limit 0,1 ";
+}
+$res = mysql_query("$sql",$dbi);
+if ($res) list($genere,$tipo_cons,$descr_cons,$id_cons_gen) = mysql_fetch_row($res);
 
 if ($tipo_cons!=3) $limite=0;
@@ -90,5 +92,5 @@
 $res = mysql_query("SELECT limite FROM ".$prefix."_ele_conf where id_conf='$hondt'" , $dbi);
 list($limite) = mysql_fetch_row($res);
-$res = mysql_query("SELECT fascia FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ", $dbi);
+$res = mysql_query("SELECT id_fascia FROM ".$prefix."_ele_cons_comune where id_comune='$id_comune' and id_cons='$id_cons'", $dbi);
 list($fascia) = mysql_fetch_row($res);
 if(!$id_circ){		
@@ -190,5 +192,5 @@
     } else {
 	while (list($mid, $title, $preamble,$content,  $editimage) = mysql_fetch_row($result)) {
-  	if ($title != "" && $content != "") {
+  	if ($title != "" && $preamble != "") {
                
                 if ($info=="link"){
@@ -532,5 +534,5 @@
 	$NicolaSezTot = mysql_fetch_row($NicolaSez);
 	
-		$resperc=mysql_query("select sum(validi),sum(nulli+bianchi+contestati+voti_nulli+solo_lista) from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
+		$resperc=mysql_query("select sum(validi),sum(nulli+bianchi+contestati+voti_nulli) from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
 		list($scruvalidi,$scrunulli)=mysql_fetch_row($resperc);
 		$resperc = mysql_query("select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' group by data,orario order by data desc, orario desc limit 0,1 ",$dbi);
@@ -542,5 +544,5 @@
 	echo "<table border=\"2\"><tr><td style=\"text-align:center; \">";
 	if(!$votog and $genere!=4){	echo "<h2><b>"._GRUPPO.": </b>";
-	echo "Scrutinate ".($scruvalidi+$scrunulli)." schede su $totschede ($grpercscru %)  <br></h2>";
+	echo "</br>Scrutinate ".($scruvalidi+$scrunulli)." schede su $totschede ($grpercscru %)  <br></h2>";
 	}
 #$numero sezioni su $sezioni<br> le schede scrutinate sono:  $grpercscru % 
@@ -572,4 +574,5 @@
   	$go="gruppo";
    if(!$votog and $genere!=4)	echo "<div><h2><b>"._GRUPPO." </b><br /></h2></div>";
+   if ($tipo_cons==18 or $tipo_cons==19) echo "<div><b>I voti di lista subiranno una integrazione al termine delle operazioni sul collegio con la ripartizione pro-quota derivata dai voti sull'uninominale</b></div>";
 /*   
    	if ($circo){ // circoscrizione
@@ -886,6 +889,6 @@
 			$res1 = mysql_query("select *  from ".$prefix."_ele_voti_".$tab." where id_cons='$id_cons' group by id_sez ",$dbi);
 			$numero=mysql_num_rows($res1);
-			$res2 = mysql_query("select *  from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
-			$sezioni=mysql_num_rows($res2);
+			$res2 = mysql_query("select max(num_sez)  from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
+			list($sezioni)=mysql_fetch_row($res2);
 		}
   
@@ -954,5 +957,5 @@
 // funzione visualizzazione delle liste per camera e senato con raggruppamenti/coalizioni
 function liste(){
-global $id_cons,$id_cons_gen,$prefix,$dbi,$min,$offset,$op,$tipo_cons,$prev,$next,$votog,$votol,$circo;
+global $id_cons,$id_cons_gen,$prefix,$dbi,$min,$offset,$op,$tipo_cons,$prev,$next,$votog,$votol,$circo,$genere,$id_comune;
 //dati();
 $offset=10;
Index: trunk/client/modules/Elezioni/language/lang-en.php
===================================================================
--- trunk/client/modules/Elezioni/language/lang-en.php	(revision 253)
+++ trunk/client/modules/Elezioni/language/lang-en.php	(revision 254)
@@ -141,5 +141,21 @@
 		define("_GRUPPO","Candidate for President");
 		break;
-
+	case 18:
+		define("_CONSULTAZIONE","Camera Election"); //genere 5
+		define("_GRUPPO","Single Candidate");
+		define("_SOLO_GRUPPO","Ballots for Group Candidate only");
+		define("_LISTA","Linked List");
+		define("_CANDIDATO","Bolcked List");
+
+		define("_DESCRCONS","CAMERA");
+		break;
+        case 19:
+		define("_CONSULTAZIONE","Senato Election"); //genere 5
+		define("_GRUPPO","Single Candidate");
+		define("_SOLO_GRUPPO","Ballots for Group Candidate only");
+		define("_LISTA","Linked List");
+		define("_CANDIDATO","Bolcked List");
+
+		define("_DESCRCONS","SENATO");
 }
 
Index: trunk/client/modules/Elezioni/language/lang-it.php
===================================================================
--- trunk/client/modules/Elezioni/language/lang-it.php	(revision 253)
+++ trunk/client/modules/Elezioni/language/lang-it.php	(revision 254)
@@ -48,7 +48,5 @@
 define("_SEZNOS","Sezioni non scrutinate");
 define("_SEZSCR","Sezioni scrutinate");
-define("_LISTA","Lista");
 define("_PREFLISTA","Preferenze di Lista");
-define("_CANDIDATO","Candidato");
 define("_GESAMMIN","Gestione Amministrativa ");
 define("_DESCR","Denominazione");
@@ -218,4 +216,6 @@
 define("_IDCIRC","Id collegio ");
 define("_CIRC_N","Collegio n. ");
+define("_LISTA","Lista");
+define("_CANDIDATO","Candidato");
 }else{
 define("_CIRCS","Circoscrizioni");
@@ -288,4 +288,6 @@
 		define("_CONSIGLIO","Consiglio Provinciale");
 		define("_ASOLO_GRUPPO","Solo Presidente");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
 		break;
 	case 2:
@@ -297,4 +299,7 @@
 		define("_SIMBOLO","Scheda");
 		define("_PRESI","Quesito");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
+		define("_CONSI","Consigliere");
 		break;
 	case 3:
@@ -311,6 +316,8 @@
 		define("_VOTI_LISTA","Voti di lista");
 		define("_ASOLO_GRUPPO","Solo Sindaco");
-		break;
-        case 4:
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
+		break;
+    case 4:
 		define("_SCELTA_CIR","Scegli la Circoscrizione");
 	    define("_CONSULTAZIONE","Consultazione Elezioni Circoscrizione");
@@ -320,5 +327,7 @@
         define("_CONSI","Consigliere");
 		define("_CONSIGLIO","Consiglio Circoscrizionale");
-                break;
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
+        break;
 	case 5: 
 		define("_CONSULTAZIONE","Sessione di Ballottaggio");
@@ -328,4 +337,7 @@
 		define("_GRUPPOLOGO","Logo del Sindaco");
 		define("_PRESI","Presidente");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
+		define("_CONSI","Consigliere");
 		break;
 	case 6:
@@ -336,4 +348,7 @@
 		define("_GRUPPO","Lista");
 		define("_GRUPPOLOGO","Logo della Lista");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
+		define("_CONSI","Consigliere");
 		break;
 	case 7:
@@ -344,4 +359,7 @@
 		define("_GRUPPO","Lista");
 		define("_GRUPPOLOGO","Logo della Lista");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
+		define("_CONSI","Consigliere");
 		break;
 	case 8:
@@ -354,4 +372,6 @@
 		define("_CONSI","Candidato Lista");
 		define("_CONSIGLIO","Consiglio Europeo");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
 		break;
 	case 9:
@@ -364,4 +384,6 @@
 		define("_CONSI","Candidato Lista");
 		define("_CONSIGLIO","Consiglio Regionale");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
 		break;
 	
@@ -376,4 +398,7 @@
 		define("_GRUPPOLOGO","Logo della Lista");
 		define("_CONSIGLIO","Senatori");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
+		define("_CONSI","Consigliere");
 		break;
 	
@@ -387,4 +412,7 @@
 		define("_GRUPPOLOGO","Logo della Lista");
 		define("_CONSIGLIO","Deputati");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
+		define("_CONSI","Consigliere");
 		break;
 	case 12:
@@ -400,4 +428,5 @@
 		define("_VOTI_LISTA","Voti di lista");
 		define("_CONSIGLIO","Consiglio Provinciale");
+		define("_CONSI","Consigliere");
 		break;
 	case 13: 
@@ -408,4 +437,7 @@
 		define("_GRUPPOLOGO","Logo del Presidente");
 		define("_PRESI","Presidente");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
+		define("_CONSI","Consigliere");
 		break;
 	case 14:
@@ -422,4 +454,5 @@
 		define("_GRUPPO","Coalizione");
 		define("_DESCRCONS","CAMERA CON GRUPPI");
+		define("_CONSI","Consigliere");
 		break;
 	case 16: 
@@ -428,4 +461,5 @@
 		define("_GRUPPO","Coalizione");
 		define("_DESCRCONS","SENATO CON GRUPPI");
+		define("_CONSI","Consigliere");
 		break;
 	case 17:
@@ -434,6 +468,33 @@
 		define("_GRUPPO","Candidato Presidente");
 		define("_DESCRCONS","REGIONALI");
-		break;
-	
+		define("_CONSI","Consigliere");
+		break;
+	case 18:
+		define("_CONSULTAZIONE","Consultazione Camera dei deputati"); //genere 5
+		define("_GRUPPO","Candidato Uninominale");
+		define("_GRUPPI","Candidati Uninominali");
+		define("_SOLO_GRUPPO","Voti al solo Candidato Uninominale");
+		define("_ASOLO_GRUPPO","Voti al solo</br>Candidato Uninominale");
+		define("_LISTA","Lista collegata");
+		define("_CANDIDATO","Listino bloccato");
+		define("_CONSIGLIO","per il Proporzionale");
+		define("_SIMBOLO","Candidato<br />Uninominale");
+		define("_DESCRCONS","CAMERA");
+		define("_CONSI","Candidato");
+		break;
+    case 19:
+		define("_CONSULTAZIONE","Consultazione Senato della Repubblica"); //genere 5
+		define("_GRUPPO","Candidato Uninominale");
+		define("_GRUPPI","Candidati Uninominali");
+		define("_SOLO_GRUPPO","Voti al solo Candidato Uninominale");
+		define("_ASOLO_GRUPPO","Voti al solo</br>Candidato Uninominale");
+		define("_LISTA","Lista collegata");
+		define("_CANDIDATO","Listino bloccato");
+		define("_CONSIGLIO","per il Proporzionale");
+		define("_SIMBOLO","Candidato<br />Uninominale");
+		define("_DESCRCONS","CAMERA");
+		define("_CONSI","Candidato");
+		break;
+
 
 }
Index: trunk/client/modules/Elezioni/menu.php
===================================================================
--- trunk/client/modules/Elezioni/menu.php	(revision 253)
+++ trunk/client/modules/Elezioni/menu.php	(revision 254)
@@ -228,5 +228,5 @@
 	 		echo "<option value=\"graf_lista&amp;visgralista=1\" ".$temp['graf_lista'].">"._LISTA."</option>";
 		if ($genere>3){
-			if (!$circo && !$votog)	 
+			if (!$circo && !$votog && !$votoc)	 
 	 		echo "<option value=\"graf_candidato\" ".$temp['graf_candidato']." >"._CONSI."</option>";
 		}
